Commit 5220dd8a authored by POGODALLA Sylvain's avatar POGODALLA Sylvain

Modification of configure scripts in order to make possible to set various path for dypgen

parent 5d3c1168
......@@ -74,42 +74,58 @@ AC_PATH_PROG(OCAMLFIND,ocamlfind,no)
#Look for dypgen
DYPGEN_NEEDED=20080925
AC_CHECK_PROGS(DYPGEN,dypgen.opt dypgen,no)
AC_ARG_VAR(DYPGEN_PATH,[Directory where to find dypgen if not in a standard location])
if test -n "$DYPGEN_PATH" ; then
AC_CHECK_PROG(DYPGEN,dypgen,$DYPGEN_PATH/dypgen,no,$DYPGEN_PATH)
else
AC_CHECK_PROGS(DYPGEN,dypgen.opt dypgen,no)
fi
if test "$DYPGEN" = no ; then
AC_MSG_ERROR(Cannot find dypgen)
AC_MSG_ERROR(Cannot find dypgen)
else
DYPGEN_VERSION=`$DYPGEN --version | grep version | sed 's/^.* \(.*\)$/\1/'`
AC_MSG_CHECKING([for $DYPGEN version])
if test $DYPGEN_VERSION -ge $DYPGEN_NEEDED ; then
AC_MSG_RESULT($DYPGEN ($DYPGEN_VERSION) is ok)
AC_MSG_RESULT($DYPGEN ($DYPGEN_VERSION) is ok)
else
AC_MSG_ERROR($DYPGEN version $DYPGEN_VERSION found ; version $DYPGEN_NEEDED or greater is needed)
AC_MSG_ERROR($DYPGEN version $DYPGEN_VERSION found ; version $DYPGEN_NEEDED or greater is needed)
fi
fi
# Look for DYPGEN_LIB with or without ocamlfind
AC_MSG_CHECKING([dypgen library])
if test "$OCAMLFIND" != no ; then
if $OCAMLFIND query dypgen > /dev/null 2>&1 ; then
DYPGEN_INCLUDE_DIR=`$OCAMLFIND query dypgen`
DYPGEN_FINDLIB=yes
AC_ARG_VAR(DYPGENLIB_PATH,[Directory where to find dypgen library if not in a standard location])
if test -n "$DYPGENLIB_PATH" ; then
DYPGEN_PLACE=$DYPGENLIB_PATH
DYPGEN_INCLUDE="-I $DYPGEN_PLACE"
if test -f $DYPGEN_PLACE/dyp.cma ; then
AC_MSG_RESULT(dypgen library is $DYPGEN_PLACE/dypgen.cma)
else
DYPGEN_FINDLIB=no
AC_MSG_ERROR(Could not find dypgen library in $DYPGEN_PLACE)
fi
else
DYPGEN_FINDLIB=no
fi
if test "$DYPGEN_FINDLIB" = no ; then
DYPGEN_PLACE=`$OCAMLC -where`
DYPGEN_INCLUDE=""
else
DYPGEN_PLACE=$DYPGEN_INCLUDE_DIR
DYPGEN_INCLUDE="-I $DYPGEN_INCLUDE_DIR"
fi
if test -f $DYPGEN_PLACE/dypgen/dyp.cma ; then
AC_MSG_RESULT(dypgen library is $DYPGEN_PLACE/dypgen/dypgen.cma)
else
AC_MSG_ERROR(Could not find dypgen library in $DYPGEN_PLACE)
if test "$OCAMLFIND" != no ; then
if $OCAMLFIND query dypgen > /dev/null 2>&1 ; then
DYPGEN_INCLUDE_DIR=`$OCAMLFIND query dypgen`
DYPGEN_FINDLIB=yes
else
DYPGEN_FINDLIB=no
fi
else
DYPGEN_FINDLIB=no
fi
if test "$DYPGEN_FINDLIB" = no ; then
DYPGEN_PLACE=`$OCAMLC -where`
DYPGEN_INCLUDE="-I +dypgen"
else
DYPGEN_PLACE=$DYPGEN_INCLUDE_DIR
DYPGEN_INCLUDE="-I $DYPGEN_INCLUDE_DIR"
fi
if test -f $DYPGEN_PLACE/dypgen/dyp.cma ; then
AC_MSG_RESULT(dypgen library is $DYPGEN_PLACE/dypgen/dypgen.cma)
else
AC_MSG_ERROR(Could not find dypgen library in $DYPGEN_PLACE)
fi
fi
......
......@@ -623,8 +623,11 @@ OCAMLDOC
OCAMLDEP
OCAMLLEX
OCAMLFIND
DYPGEN_PATH
DYPGEN
DYPGENLIB_PATH
CAMLP4_LIB
DYPGEN_INCLUDE
TYPES
OCAML09WARNINGS
OCAMLP4_LOC
......@@ -634,7 +637,9 @@ LTLIBOBJS'
ac_subst_files=''
ac_precious_vars='build_alias
host_alias
target_alias'
target_alias
DYPGEN_PATH
DYPGENLIB_PATH'
# Initialize some variables set by options.
......@@ -1202,6 +1207,15 @@ if test -n "$ac_init_help"; then
esac
cat <<\_ACEOF
Some influential environment variables:
DYPGEN_PATH Directory where to find dypgen if not in a standard location
DYPGENLIB_PATH
Directory where to find dypgen library if not in a standard
location
Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.
Report bugs to <sylvain.pogodalla@loria.fr>.
_ACEOF
ac_status=$?
......@@ -2024,7 +2038,48 @@ fi
#Look for dypgen
DYPGEN_NEEDED=20080925
for ac_prog in dypgen.opt dypgen
if test -n "$DYPGEN_PATH" ; then
# Extract the first word of "dypgen", so it can be a program name with args.
set dummy dypgen; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_prog_DYPGEN+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$DYPGEN"; then
ac_cv_prog_DYPGEN="$DYPGEN" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $DYPGEN_PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
ac_cv_prog_DYPGEN="$DYPGEN_PATH/dypgen"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
IFS=$as_save_IFS
test -z "$ac_cv_prog_DYPGEN" && ac_cv_prog_DYPGEN="no"
fi
fi
DYPGEN=$ac_cv_prog_DYPGEN
if test -n "$DYPGEN"; then
{ echo "$as_me:$LINENO: result: $DYPGEN" >&5
echo "${ECHO_T}$DYPGEN" >&6; }
else
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi
else
for ac_prog in dypgen.opt dypgen
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
......@@ -2067,8 +2122,9 @@ fi
done
test -n "$DYPGEN" || DYPGEN="no"
fi
if test "$DYPGEN" = no ; then
{ { echo "$as_me:$LINENO: error: Cannot find dypgen" >&5
{ { echo "$as_me:$LINENO: error: Cannot find dypgen" >&5
echo "$as_me: error: Cannot find dypgen" >&2;}
{ (exit 1); exit 1; }; }
else
......@@ -2076,40 +2132,56 @@ else
{ echo "$as_me:$LINENO: checking for $DYPGEN version" >&5
echo $ECHO_N "checking for $DYPGEN version... $ECHO_C" >&6; }
if test $DYPGEN_VERSION -ge $DYPGEN_NEEDED ; then
{ echo "$as_me:$LINENO: result: $DYPGEN ($DYPGEN_VERSION) is ok" >&5
{ echo "$as_me:$LINENO: result: $DYPGEN ($DYPGEN_VERSION) is ok" >&5
echo "${ECHO_T}$DYPGEN ($DYPGEN_VERSION) is ok" >&6; }
else
{ { echo "$as_me:$LINENO: error: $DYPGEN version $DYPGEN_VERSION found ; version $DYPGEN_NEEDED or greater is needed" >&5
{ { echo "$as_me:$LINENO: error: $DYPGEN version $DYPGEN_VERSION found ; version $DYPGEN_NEEDED or greater is needed" >&5
echo "$as_me: error: $DYPGEN version $DYPGEN_VERSION found ; version $DYPGEN_NEEDED or greater is needed" >&2;}
{ (exit 1); exit 1; }; }
fi
fi
# Look for DYPGEN_LIB with or without ocamlfind
{ echo "$as_me:$LINENO: checking Checking dypgen library" >&5
echo $ECHO_N "checking Checking dypgen library... $ECHO_C" >&6; }
if test "$OCAMLFIND" != no ; then
if $OCAMLFIND query dypgen > /dev/null 2>&1 ; then
DYPGEN_INCLUDE=`$OCAMLFIND query dypgen`
DYPGEN_FINDLIB=yes
{ echo "$as_me:$LINENO: checking dypgen library" >&5
echo $ECHO_N "checking dypgen library... $ECHO_C" >&6; }
if test -n "$DYPGENLIB_PATH" ; then
DYPGEN_PLACE=$DYPGENLIB_PATH
DYPGEN_INCLUDE="-I $DYPGEN_PLACE"
if test -f $DYPGEN_PLACE/dyp.cma ; then
{ echo "$as_me:$LINENO: result: dypgen library is $DYPGEN_PLACE/dypgen.cma" >&5
echo "${ECHO_T}dypgen library is $DYPGEN_PLACE/dypgen.cma" >&6; }
else
DYPGEN_FINDLIB=no
{ { echo "$as_me:$LINENO: error: Could not find dypgen library in $DYPGEN_PLACE" >&5
echo "$as_me: error: Could not find dypgen library in $DYPGEN_PLACE" >&2;}
{ (exit 1); exit 1; }; }
fi
else
DYPGEN_FINDLIB=no
fi
if test "$DYPGEN_FINDLIB" = no ; then
DYPGEN_PLACE=`$OCAMLC -where`
else
DYPGEN_PLACE=$DYPGEN_INCLUDE
fi
if test -f $DYPGEN_PLACE/dypgen/dyp.cma ; then
{ echo "$as_me:$LINENO: result: dypgen library is $DYPGEN_PLACE/dypgen/dypgen.cma" >&5
if test "$OCAMLFIND" != no ; then
if $OCAMLFIND query dypgen > /dev/null 2>&1 ; then
DYPGEN_INCLUDE_DIR=`$OCAMLFIND query dypgen`
DYPGEN_FINDLIB=yes
else
DYPGEN_FINDLIB=no
fi
else
DYPGEN_FINDLIB=no
fi
if test "$DYPGEN_FINDLIB" = no ; then
DYPGEN_PLACE=`$OCAMLC -where`
DYPGEN_INCLUDE="-I +dypgen"
else
DYPGEN_PLACE=$DYPGEN_INCLUDE_DIR
DYPGEN_INCLUDE="-I $DYPGEN_INCLUDE_DIR"
fi
if test -f $DYPGEN_PLACE/dypgen/dyp.cma ; then
{ echo "$as_me:$LINENO: result: dypgen library is $DYPGEN_PLACE/dypgen/dypgen.cma" >&5
echo "${ECHO_T}dypgen library is $DYPGEN_PLACE/dypgen/dypgen.cma" >&6; }
else
{ { echo "$as_me:$LINENO: error: Could not find dypgen library in $DYPGEN_PLACE" >&5
else
{ { echo "$as_me:$LINENO: error: Could not find dypgen library in $DYPGEN_PLACE" >&5
echo "$as_me: error: Could not find dypgen library in $DYPGEN_PLACE" >&2;}
{ (exit 1); exit 1; }; }
fi
fi
......@@ -2216,6 +2288,7 @@ echo "${ECHO_T}$OCAMLP4 calls will be done with the $CAMLP4_LIB library" >&6; }
ac_config_files="$ac_config_files ./Makefile config/Makefile src/Makefile.master src/Makefile.common src/Makefile src/utils/Makefile src/logic/Makefile src/grammars/Makefile src/lambda/Makefile src/acg-data/Makefile src/scripting/Makefile src/datalog/Makefile"
......@@ -2934,8 +3007,11 @@ OCAMLDOC!$OCAMLDOC$ac_delim
OCAMLDEP!$OCAMLDEP$ac_delim
OCAMLLEX!$OCAMLLEX$ac_delim
OCAMLFIND!$OCAMLFIND$ac_delim
DYPGEN_PATH!$DYPGEN_PATH$ac_delim
DYPGEN!$DYPGEN$ac_delim
DYPGENLIB_PATH!$DYPGENLIB_PATH$ac_delim
CAMLP4_LIB!$CAMLP4_LIB$ac_delim
DYPGEN_INCLUDE!$DYPGEN_INCLUDE$ac_delim
TYPES!$TYPES$ac_delim
OCAML09WARNINGS!$OCAML09WARNINGS$ac_delim
OCAMLP4_LOC!$OCAMLP4_LOC$ac_delim
......@@ -2944,7 +3020,7 @@ LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 53; then
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 56; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
......
......@@ -31,7 +31,7 @@ LIBS += dyp.cma str.cma
# The corresponding directories
# (if not in the main ocaml lib directory,
# ex. -I +campl4
LIBDIR = -I +dypgen -I +camlp4
LIBDIR = @DYPGEN_INCLUDE@ -I +camlp4
# Directories to which the current source files depend on
PREVIOUS_DIRS = ../utils ../logic ../grammars
......
......@@ -28,14 +28,10 @@ include ../Makefile.master
# Used libraries
LIBS += dyp.cma str.cma
DYPPATH = /home/pogodall/import/ocaml/dypgen
DYPGEN_LIB = +dypgen
#DYPGEN_LIB = $(DYPPATH)/dyplib
# The corresponding directories
# (if not in the main ocaml lib directory,
# ex. -I +campl4
LIBDIR = -I $(DYPGEN_LIB) -I +camlp4
LIBDIR = @DYPGEN_INCLUDE@ -I +camlp4
# Directories to which the current source files depend on
PREVIOUS_DIRS = ../utils ../logic
......
......@@ -31,7 +31,7 @@ LIBS += dyp.cma str.cma
# The corresponding directories
# (if not in the main ocaml lib directory,
# ex. -I +campl4
LIBDIR = -I +dypgen -I +camlp4
LIBDIR = @DYPGEN_INCLUDE@ -I +camlp4
# Directories to which the current source files depend on
PREVIOUS_DIRS = ../utils ../logic ../grammars
......
......@@ -31,7 +31,7 @@ LIBS += dyp.cma
# The corresponding directories
# (if not in the main ocaml lib directory,
# ex. -I +campl4
LIBDIR = -I +dypgen -I +camlp4
LIBDIR = @DYPGEN_INCLUDE@ -I +camlp4
# Directories to which the current source files depend on
PREVIOUS_DIRS = ../utils
......
......@@ -31,7 +31,7 @@ LIBS += dyp.cma str.cma
# The corresponding directories
# (if not in the main ocaml lib directory,
# ex. -I +campl4
LIBDIR = -I +dypgen -I +camlp4
LIBDIR = @DYPGEN_INCLUDE@ -I +camlp4
# Directories to which the current source files depend on
PREVIOUS_DIRS = ../utils ../logic ../grammars ../acg-data
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment